package com.iformall.domain.vo;

import com.iformall.domain.po.WxCouponSend;
import com.iformall.domain.po.WxLevelConfig;
import com.iformall.domain.po.WxTags;
import com.iformall.domain.po.WxTagsType;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class WxCouponSendVo extends WxCouponSend implements Serializable{

	/*有效日期-开始**/
	@io.swagger.annotations.ApiModelProperty(value="有效日期-开始",name="validStartDate")
	private Date validStartDate;
	/*有效日期-结束**/
	@io.swagger.annotations.ApiModelProperty(value="有效日期-结束",name="validEndDate")
	private Date validEndDate;
	/*剩余库存**/
	@io.swagger.annotations.ApiModelProperty(value="剩余库存",name="remainInventory")
	private Integer remainInventory;

	/**限领张数**/
	@io.swagger.annotations.ApiModelProperty(value="限领张数",name="useLimitQuantity")
	private Integer useLimitQuantity;

	/*总库存**/
	@io.swagger.annotations.ApiModelProperty(value="总库存",name="inventory")
	private Integer inventory;

	/*发卷所属商户名**/
	private String merchantName;

	public Date getValidStartDate() {
		return validStartDate;
	}

	public void setValidStartDate(Date validStartDate) {
		this.validStartDate = validStartDate;
	}

	public Date getValidEndDate() {
		return validEndDate;
	}

	public void setValidEndDate(Date validEndDate) {
		this.validEndDate = validEndDate;
	}

	public Integer getRemainInventory() {
		return remainInventory;
	}

	public void setRemainInventory(Integer remainInventory) {
		this.remainInventory = remainInventory;
	}

	public Integer getInventory() {
		return inventory;
	}

	public void setInventory(Integer inventory) {
		this.inventory = inventory;
	}

	public String getMerchantName() {
		return merchantName;
	}

	public void setMerchantName(String merchantName) {
		this.merchantName = merchantName;
	}

	public Integer getUseLimitQuantity() {
		return useLimitQuantity;
	}

	public void setUseLimitQuantity(Integer useLimitQuantity) {
		this.useLimitQuantity = useLimitQuantity;
	}
}
